# Class XMLDefaultMutableTreeNode

java.lang.Object
javax.swing.tree.DefaultMutableTreeNode
org.apache.jmeter.visualizers.XMLDefaultMutableTreeNode

All Implemented Interfaces:
  `Serializable, Cloneable, MutableTreeNode, TreeNode`

public class XMLDefaultMutableTreeNode extends DefaultMutableTreeNode
A extended class of DefaultMutableTreeNode except that it also attached XML node and convert XML document into DefaultMutableTreeNode.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class DefaultMutableTreeNode

`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

## Constructor Summary

Constructors
Constructor
Description
`XMLDefaultMutableTreeNode()`
Deprecated.
only for use by test code
`XMLDefaultMutableTreeNode(String name, Node xmlNode)`
`XMLDefaultMutableTreeNode(Node root)`

## Method Summary

Modifier and Type
Method
Description
`Node`
`getXMLNode()`
get the xml node

### Methods inherited from class DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XMLDefaultMutableTreeNode

@Deprecated public XMLDefaultMutableTreeNode()
Deprecated.
only for use by test code

### XMLDefaultMutableTreeNode

public XMLDefaultMutableTreeNode(Node root) throws SAXException

Throws:
  `SAXException`

### XMLDefaultMutableTreeNode

public XMLDefaultMutableTreeNode(String name, Node xmlNode)

## Method Details

### getXMLNode

public Node getXMLNode()
get the xml node

Returns:
  the XML node